%global dlrn_nvr 13.3.1-0.20181013113431.e19b590
%global dlrn 1
%define upstream_version 13.3.1
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%define upstream_name openstack-octavia

Name:                   puppet-octavia
Version: 13.3.1
Release: 0.20181013113434.e19b590%{?dist}
Summary:                Puppet module for Octavia
License:                ASL 2.0

URL:                    https://launchpad.net/%{name}

Source0: 13.3.1-0.20181013113431.e19b590-e19b5906ef743989bf6ee1d83a2e3b275d5469dc.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=13.3.1
#
Patch0001: 0001-Add-posibilities-to-set-default-values-for-timeouts.patch
Patch0002: 0002-Do-not-set-inexistent-haproxy_amphora-key_path.patch
Patch0003: 0003-Set-common-configuration-options-across-services.patch
Patch0004: 0004-Fix-octavia-controller-redeclaration.patch
Patch0005: 0005-Re-include-octavia-db-in-octavia-api.patch

BuildArch:              noarch

Requires:               puppet-inifile
Requires:               puppet-keystone
Requires:               puppet-nova
Requires:               puppet-openstacklib
Requires:               puppet-oslo
Requires:               puppet-stdlib
Requires:               puppet >= 2.7.0

%description
Octavia puppet module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/octavia/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/octavia/


%files
%{_datadir}/openstack-puppet/modules/octavia/


%changelog
* Tue Dec 04 2018 Carlos Goncalves <cgoncalves@redhat.com> 13.3.1-0.20181013113434.e19b590
- Re-include octavia::db in octavia::api (rhbz#1653053)
- Fix octavia::controller redeclaration (rhbz#1653053)

* Tue Nov 20 2018 Nir Magnezi <nmagnezi@redhat.com> 13.3.1-0.20181013113433.e19b590
- Set common configuration options across services (rhbz#1638296 rhbz#1650651)
- Do not set inexistent haproxy_amphora/key_path (rhbz#1638296)

* Thu Nov 01 2018 Nir Magnezi <nmagnezi@redhat.com> 13.3.1-0.20181013113432.e19b590
- Add posibilities to set default values for timeouts (rhbz#1636498)

